OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Member Functions | List of all members
cl::Event Class Reference

Class interface for cl_event. More...

`#include <cl2.hpp>`

Inherits cl::detail::Wrapper< cl_event >.

Inherited by cl::UserEvent.

## Public Member Functions
| Event ()
| Default constructor - initializes to NULL. More...
| Event (const cl_event &event, bool retainObject=false)
| Constructor from cl_event - takes ownership. More...
Event & | operator= (const cl_event &rhs)
| Assignment operator from cl_event - takes ownership. More...
template<typename T >
cl_int | getInfo (cl_event_info name, T *param) const
| Wrapper for clGetEventInfo(). More...
template<cl_int name>
detail::param_traits < detail::cl_event_info, name > ::param_type | getInfo (cl_int *err=NULL) const
| Wrapper for clGetEventInfo() that returns by value. More...
template<typename T >
cl_int | getProfilingInfo (cl_profiling_info name, T *param) const
| Wrapper for clGetEventProfilingInfo(). More...
template<cl_int name>
detail::param_traits < detail::cl_profiling_info, name >::param_type | getProfilingInfo (cl_int *err=NULL) const
| Wrapper for clGetEventProfilingInfo() that returns by value. More...
cl_int | wait () const
| Blocks the calling thread until this event completes. More...
cl_int | setCallback (cl_int type, void(CL_CALLBACK *pfn_notify)(cl_event, cl_int, void *), void *user_data=NULL)
| Registers a user callback function for a specific command execution status. More...
Public Member Functions inherited from cl::detail::Wrapper< cl_event >
| Wrapper ()
| Wrapper (const cl_type &obj, bool retainObject)
| Wrapper (const Wrapper< cl_type > &rhs)
| Wrapper (Wrapper< cl_type > &&rhs) CL_HPP_NOEXCEPT_
| ~Wrapper ()
Wrapper< cl_type > & | operator= (const Wrapper< cl_type > &rhs)
Wrapper< cl_type > & | operator= (Wrapper< cl_type > &&rhs)
Wrapper< cl_type > & | operator= (const cl_type &rhs)
const cl_type & | operator() () const
cl_type & | operator() ()
const cl_type | get () const
cl_type | get ()

## Static Public Member Functions
static cl_int | waitForEvents (const vector< Event > &events)
| Blocks the calling thread until every event specified is complete. More...

## Additional Inherited Members
Public Types inherited from cl::detail::Wrapper< cl_event >
typedef cl_event | cl_type
Protected Member Functions inherited from cl::detail::Wrapper< cl_event >
cl_int | retain () const
cl_int | release () const
Protected Attributes inherited from cl::detail::Wrapper< cl_event >
cl_type | object_

## Detailed Description

Class interface for cl_event.

Note
  Copies of these objects are shallow, meaning that the copy will refer to the same underlying cl_event as the original. For details, see clRetainEvent() and clReleaseEvent().

See Also
  cl_event

## Constructor & Destructor Documentation

cl::Event::Event | ( |  | ) |
| inline

Default constructor - initializes to NULL.

cl::Event::Event | ( | const cl_event & | event,
|  | bool | retainObject = `false`
| ) |  |
| inline explicit

Constructor from cl_event - takes ownership.

Parameters

  retainObject | will cause the constructor to retain its cl object. Defaults to false to maintain compatibility with earlier versions. This effectively transfers ownership of a refcount on the cl_event into the new Event object.

## Member Function Documentation

template<typename T >

cl_int cl::Event::getInfo | ( | cl_event_info | name,
|  | T * | param
| ) |  | const
| inline

Wrapper for clGetEventInfo().

template<cl_int name>

detail::param_traits<detail::cl_event_info, name>::param_type cl::Event::getInfo | ( | cl_int * | err = `NULL` | ) | const
| inline

Wrapper for clGetEventInfo() that returns by value.

template<typename T >

cl_int cl::Event::getProfilingInfo | ( | cl_profiling_info | name,
|  | T * | param
| ) |  | const
| inline

Wrapper for clGetEventProfilingInfo().

template<cl_int name>

detail::param_traits<detail::cl_profiling_info, name>::param_type cl::Event::getProfilingInfo | ( | cl_int * | err = `NULL` | ) | const
| inline

Wrapper for clGetEventProfilingInfo() that returns by value.

Event& cl::Event::operator= | ( | const cl_event & | rhs | ) |
| inline

Assignment operator from cl_event - takes ownership.

This effectively transfers ownership of a refcount on the rhs and calls clReleaseEvent() on the value previously held by this instance.

cl_int cl::Event::setCallback | ( | cl_int | type,
|  | void(CL_CALLBACK *pfn_notify)(cl_event, cl_int, void *) | ,
|  | void * | user_data = `NULL`
| ) |  |
| inline

Registers a user callback function for a specific command execution status.

Wraps clSetEventCallback().

cl_int cl::Event::wait | ( |  | ) | const
| inline

Blocks the calling thread until this event completes.

Wraps clWaitForEvents().

static cl_int cl::Event::waitForEvents | ( | const vector< Event > & | events | ) |
| inline static

Blocks the calling thread until every event specified is complete.

Wraps clWaitForEvents().

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/gpu/cl2.hpp